com.opensymphony.xwork2.ognl.accessor

## Class XWorkMapPropertyAccessor

- java.lang.Object
- - ognl.MapPropertyAccessor
  - - com.opensymphony.xwork2.ognl.accessor.XWorkMapPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class XWorkMapPropertyAccessor
      extends ognl.MapPropertyAccessor

  Implementation of PropertyAccessor that sets and gets properties by storing and looking up values in Maps.
  Author:
    Gabriel Zimmerman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkMapPropertyAccessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getProperty(Map context, Object target, Object name)`
    `void` | `setObjectFactory(ObjectFactory fac)`
    `void` | `setObjectTypeDeterminer(ObjectTypeDeterminer ot)`
    `void` | `setProperty(Map context, Object target, Object name, Object value)`
    `void` | `setXWorkConverter(XWorkConverter conv)`

    - ### Methods inherited from class ognl.MapPropertyAccessor

      `getSourceAccessor, getSourceSetter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XWorkMapPropertyAccessor

          public XWorkMapPropertyAccessor()

  - ### Method Detail

    - #### setXWorkConverter

          public void setXWorkConverter(XWorkConverter conv)

    - #### setObjectFactory

          public void setObjectFactory(ObjectFactory fac)

    - #### setObjectTypeDeterminer

          public void setObjectTypeDeterminer(ObjectTypeDeterminer ot)

    - #### getProperty

          public Object getProperty(Map context,
                                    Object target,
                                    Object name)
                             throws ognl.OgnlException

      Specified by:
        `getProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `getProperty` in class `ognl.MapPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setProperty

          public void setProperty(Map context,
                                  Object target,
                                  Object name,
                                  Object value)
                           throws ognl.OgnlException

      Specified by:
        `setProperty` in interface `ognl.PropertyAccessor`
      Overrides:
        `setProperty` in class `ognl.MapPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.